use 5.006;
use strict;
use warnings;
use ExtUtils::MakeMaker;

WriteMakefile(
    NAME               => 'App::inotifymask',
    AUTHOR             => 'Tom Ryder <tom@sanctum.geek.nz>',
    VERSION_FROM       => 'bin/inotifymask',
    LICENSE            => 'MIT',
    EXE_FILES          => ['bin/inotifymask'],
    MIN_PERL_VERSION   => '5.010_001',
    CONFIGURE_REQUIRES => {
        'ExtUtils::MakeMaker' => '0',
    },
    PREREQ_PM => {
        'Const::Fast'     => 0,
        'File::stat'      => 0,
        'Linux::Inotify2' => 0,
    },
    META_MERGE => {
        'meta-spec' => { version => 2 },
        resources   => {
            homepage   => 'https://sanctum.geek.nz/cgit/inotifymask.git/',
            repository => {
                type => 'git',
                url  => 'https://sanctum.geek.nz/code/inotifymask.git/',
                web  => 'https://sanctum.geek.nz/cgit/inotifymask.git/',
            },
        },
    },
    clean => { FILES => 'App-inotifymask-*' },
);
